# $Revision: 1.35 $, $Date: 2002/09/07 17:47:06 $
Summary:	High-performance CORBA Object Request Broker
Summary(fr):	Requte d'Objects CORBA
Summary(pl):	Wysoko wydajny CORBA Object Request Broker
Name:		ORBit2
Version:	2.4.3
Release:	1
Epoch:		1
License:	GPL/LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/2.0.1/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-am15.patch
Patch1:		%{name}-ac_fix.patch
Patch2:		%{name}-am16.patch
URL:		http://www.labs.redhat.com/orbit/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	glib2-devel >= 2.0.6
BuildRequires:	indent
BuildRequires:	libIDL-devel >= 0.8.0
BuildRequires:	libtool
BuildRequires:	linc-devel >= 0.5.3
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libORBit2_0

%define		_sysconfdir	/etc

%description
ORBit is a high-performance CORBA (Common Object Request Broker
Architecture) ORB (object request broker). It allows programs to send
requests and receive replies from other programs, regardless of the
locations of the two programs. CORBA is an architecture that enables
communication between program objects, regardless of the programming
language they're written in or the operating system they run on.

%description -l fr
ORBit est un ORB CORBA avec support pour le language C. Il permet a
des programmes d'envoyer des requtes et recevoir de rponses d'autres
programmes, indpendement de l'endroit ou sont les deux programmes.

%description -l pl
ORBit to wysokiej wydajnoci CORBA (Common Object Request Broker
Architecture) ORB (object request broker). Pozwala na wysyanie prb
i otrzymywanie odpowiedzi od innych programw bez znajomoci pooenia
tych dwch programw.

%package devel
Summary:	Header files, and utilities for ORBit
Summary(fr):	Librairies statiques et fichiers entte pour ORBit
Summary(pl):	Pliki nagwkowe i uytki dla ORBit
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib2-devel >= 2.0.0
Requires:	indent
Requires:	libIDL-devel
Requires:	linc-devel
Requires:	popt-devel
Obsoletes:	libORBit2_0-devel

%description
devel ORBit is a high-performance CORBA ORB with support for the C
language. It allows programs to send requests and receive replies from
other programs, regardless of the locations of the two programs.

This package includes the header files and utilities neecessary to
write programs that use CORBA technology.

%description devel -l fr
Librairies statiques et fichiers entte requis pour le development ou
la compilation de programmes utilisant ORBit.

%description devel -l pl
ORBit to wysokiej wydajnoci CORBA ORB ze wsparciem dla jzyka C.
Pozwala na wysyanie prb i otrzymywanie odpowiedzi od innych
programw bez znajomoci pooenia tych dwch programw.

Ten pakiet zawiera pliki nagwkowe oraz uytki potrzebne do pisania
programw uywajcych technologi CORBA.

%package static
Summary:	Static libraries for ORBit
Summary(pl):	Biblioteki statyczne dla ORBit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
ORBit is a high-performance CORBA ORB with support for the C language.
It allows programs to send requests and receive replies from other
programs, regardless of the locations of the two programs.

This package includes static libraries neecessary to write programs
statically linked that use CORBA technology.

%description static -l pl
ORBit to wysokiej wydajnoci CORBA ORB ze wsparciem dla jzyka C.
Pozwala na wysyanie prb i otrzymywanie odpowiedzi od innych
programw bez znajomoci pooenia tych dwch programw.

Ten pakiet zawiera biblioteki statyczne potrzebne do pisania programw
zlinkowanych statycznie uywajcych technologii CORBA.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ior-decode-2
%attr(755,root,root) %{_bindir}/orbit-idl-2
%attr(755,root,root) %{_bindir}/typelib-dump
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%dir %{_libdir}/orbit-2.0
%{_libdir}/orbit-2.0/*.la
%{_libdir}/orbit-2.0/*.so*
%{_datadir}/idl/orbit-*

%files devel
%defattr(644,root,root,755)
%doc TODO NEWS
%attr(755,root,root) %{_bindir}/orbit2-config
%attr(755,root,root) %{_libdir}/lib*.??
%{_libdir}/libname-server-2.a
%{_pkgconfigdir}/*.pc
%{_includedir}/orbit-*
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libORBit-2.a
%{_libdir}/libORBitCosNaming-2.a
%{_libdir}/orbit-2.0/Everything_module.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ORBit2.spec,v $
Revision 1.35  2002/09/07 17:47:06  kloczek
- BuildRequires: s/popt-devel >= 1.6.4/popt-devel/.

Revision 1.34  2002/08/25 18:20:54  aflinta
- updated to version 2.4.3
- updated %files

Revision 1.33  2002/08/18 12:13:57  blues
- release 2 - license fixed; STBR

Revision 1.32  2002/08/14 23:30:43  michuz
- updated BR

Revision 1.30  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.29  2002/05/28 05:47:56  kloczek
- updated to 2.4.0,
- BuildRequires: linc-devel >= 0.5.0.

Revision 1.28  2002/05/21 23:12:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/05/20 21:35:31  kloczek
- use new %doc packing infrastructure.

Revision 1.26  2002/05/20 16:14:17  wiget
updated to 2.3.110

Revision 1.25  2002/05/17 07:33:52  kloczek
- release 2: removed unused disable_test patch and added am16 patch for automake 1.6.

Revision 1.24  2002/05/16 21:54:59  kloczek
- updated to 2.3.109.

Revision 1.23  2002/04/23 18:09:51  kloczek
- updated to 2.3.108.

Revision 1.22  2002/03/25 09:11:06  kloczek
- release 2: libORBit2_0{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.21  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.20  2002/03/11 11:14:23  misiek
- updated to 2.3.106

Revision 1.19  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/19 06:49:17  kloczek
i- release 2: rebuild against glib2 1.3.14.

Revision 1.17  2002/02/17 18:09:13  kloczek
- and remove outdated Source1.

Revision 1.16  2002/02/17 18:04:23  kloczek
- fixed %prep.

Revision 1.15  2002/02/17 17:30:30  kloczek
- updated to 2.3.105.

Revision 1.14  2002/02/10 18:12:49  blues
- disable_test patch commented out
- ac_fix patch modified

Revision 1.13  2002/02/10 18:05:47  blues
- adapterized
now STB

Revision 1.12  2002/02/10 18:04:34  blues
- release 2
- added am_fix patch
STB

Revision 1.11  2002/02/06 05:28:22  kloczek
- updated to 2.3.104,
- rebuild against libIDL 0.7.4,
- added automake 1.5 fixes.

Revision 1.10  2002/02/02 06:29:36  kloczek
- updated to 2.3.103,
- rebuild against libc 0.1.16, glib2 1.3.13 and libIDL 0.7.3,
- more Requires for devel subpackage.

Revision 1.9  2002/01/18 02:12:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2002/01/17 19:48:42  kloczek
- release 3: fixed Source url.

Revision 1.7  2002/01/17 11:12:07  qboosh
- adapterized, cosmetics

Revision 1.6  2002/01/16 16:18:15  kloczek
- s/libname-server.a/libname-server-2.a/

Revision 1.5  2002/01/16 16:17:08  kloczek
- release 2: move libname-server.a to devel.

Revision 1.4  2002/01/16 13:47:27  misiek
- updated BR

Revision 1.3  2002/01/16 13:34:29  kloczek
- cosmetics.

Revision 1.2  2002/01/15 23:42:52  michuz
- updted %%files

Revision 1.1  2002/01/15 01:09:26  michuz
- based on ORBit.spec
- not finished yet (broken when compiling)
